Loading...
Searching...
No Matches
libcamera::IPABuffer Struct Reference

Buffer information for the IPA interface. More...

## Public Attributes

uint32_t | id { 0 }
| The buffer unique ID.
std::vector< FrameBuffer::Plane > | planes
| The buffer planes description.

## Detailed Description

Buffer information for the IPA interface.

The IPABuffer structure associates buffer memory with a unique ID. It is used to map buffers to the IPA with IPAInterface::mapBuffers(), after which buffers will be identified by their ID in the IPA interface.

## Member Data Documentation

## id

uint32_t libcamera::IPABuffer::id { 0 }

The buffer unique ID.

Buffers mapped to the IPA are identified by numerical unique IDs. The IDs are chosen by the pipeline handler to fulfil the following constraints:

- IDs shall be positive integers different than zero
- IDs shall be unique among all mapped buffers

When buffers are unmapped with IPAInterface::unmapBuffers() their IDs are freed and may be reused for new buffer mappings.

## planes

std::vector<FrameBuffer::Plane> libcamera::IPABuffer::planes

The buffer planes description.

Stores the dmabuf handle and length for each plane of the buffer.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/include/libcamera/ipa/core_ipa_interface.h
- obj-x86_64-linux-gnu/src/libcamera/ipa/core_ipa_interface.cpp